<?xml version="1.0"?>

<LockScreen>
  
  <General>
    <DefaultFont Face="Tahoma" HeightPxl="11" Bold="y" Color="FFFFFF" />
  </General>
  
  <Plugins>
    <Plugin Class="Spb.LSP.GradBackground" Skin="qp_bkg_now" DoubleSkin="vp_bkg_now">
      <And>
        <ScreenCondition Width="240" Height="320" />
        <Or>
          <And>
            <Condition Name="Type" Value="Detailed">
              <CustomInt Name="NoBackgrd" Value="1" />
              <CustomPoint Name="Separator3Y" X="0" Y="21" />
            </Condition>
          </And>
          <And>
            <Condition Name="Type" Value="Simple" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <CustomPoint Name="SeparatorY" X="0" Y="51" />
                <CustomPoint Name="Separator2Y" X="0" Y="256" />
              </Condition >
              <And>
                <Condition Name="ShowAppt" Value="Yes" />
                <Or>
                  <Condition Name="ClockType" Value="Digital">
                    <CustomPoint Name="SeparatorY" X="0" Y="51" />
                    <CustomPoint Name="Separator2Y" X="0"  Y="190" />
                  </Condition>
                  <Condition Name="ClockType" Value="Analog">
                    <CustomPoint Name="SeparatorY" X="0" Y="51" />
                  </Condition>
                </Or>
              </And>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.GradBackground" Skin="ql_bkg_now" DoubleSkin="vl_bkg_now">
      <And>
        <ScreenCondition Width="320" Height="240"/>
        <Or>
          <Condition Name="Type" Value="Detailed">
            <CustomInt Name="NoBackgrd" Value="1" />
            <CustomPoint Name="Separator3Y" X="0" Y="20" />
          </Condition>
          <Condition Name="Type" Value="Simple">
            <CustomPoint Name="SeparatorY" X="0"  Y="62" />
          </Condition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.GradBackground" Skin="qs_bkg_now">
      <And>
        <ScreenCondition Width="240" Height="240"/>
        <Or>
          <Condition Name="Type" Value="Detailed">
            <CustomInt Name="NoBackgrd" Value="1" />
            <CustomPoint Name="Separator3Y" X="0" Y="21" />
          </Condition>
          <Condition Name="Type" Value="Simple">
            <CustomPoint Name="SeparatorY" X="0"  Y="43" />
          </Condition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Profile" Name="Profile" Skin="qa_weather_small_lock" DoubleSkin="va_weather_small_lock" BoldFont="n" X="8" Y="5" W="20" H="12">
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <Or>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="199" Y="30" Width="32" Height="32" />
            <CustomString Name="Selection" Value="selection_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Status" />
            <CustomString Name="Right" Value="Weather" />
          </ScreenCondition>
          <ScreenCondition Width="320" Height="240">
            <BoundRect X="275" Y="27" Width="32" Height="32" />
            <CustomString Name="Selection" Value="selection2_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Status" />
            <CustomString Name="Right" Value="Weather" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="199" Y="27" Width="32" Height="32" />
            <CustomString Name="Selection" Value="selection2_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Status" />
            <CustomString Name="Right" Value="Weather" />
          </ScreenCondition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Battery" Skin="qa_battery_small" DoubleSkin="va_battery_small" BoldFont="n" X="8" Y="5" W="20" H="12">
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <Or>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="8" Y="5" Width="20" Height="12" />
            <CustomPoint Name="Label" X="23" Y="0" />
          </ScreenCondition>
          <ScreenCondition Width="320" Height="240">
            <BoundRect X="17" Y="4" Width="20" Height="12" />
            <CustomPoint Name="Label" X="25" Y="0" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="8" Y="4" Width="20" Height="12" />
            <CustomPoint Name="Label" X="23" Y="0" />
          </ScreenCondition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Battery" Skin="qa_battery_now" DoubleSkin="va_battery_now" BoldFont="n" X="12" Y="7" W="38" H="61">
      <And>
        <Condition Name="Type" Value="Simple" />
        <Or>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="12" Y="3" Width="38" Height="56" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="12" Y="7" Width="38" Height="61" />
          </ScreenCondition>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <BoundRect X="8" Y="5" Width="38" Height="53" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <BoundRect X="3" Y="5" Width="38" Height="53" />
              </Condition>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Status" Name="Status" Skin="qa_status" DoubleSkin="va_status">
      <Or>
        <And>
          <Condition Name="Type" Value="Detailed"/>
          <Or>
            <ScreenCondition Width="240" Height="320">
              <BoundRect X="63" Y="37" Width="114" Height="38" />
              <CustomString Name="Up" Value="Calendar" />
              <CustomString Name="Down" Value="ModernDClock" />
              <CustomString Name="Left" Value="Weather" />
              <CustomString Name="Right" Value="Profile" />
              <CustomInt Name="IsTop" Value="1" />
            </ScreenCondition>
            <ScreenCondition Width="320" Height="240">
              <BoundRect X="100" Y="34" Width="145" Height="38" />
              <CustomString Name="Up" Value="Calendar" />
              <CustomString Name="Down" Value="ModernDClock" />
              <CustomString Name="Left" Value="Weather" />
              <CustomString Name="Right" Value="Profile" />
              <CustomInt Name="IsTop" Value="1" />
            </ScreenCondition>
            <ScreenCondition Width="240" Height="240">
              <BoundRect X="63" Y="34" Width="114" Height="38" />
              <CustomString Name="Up" Value="Calendar" />
              <CustomString Name="Down" Value="ModernDClock" />
              <CustomString Name="Left" Value="Weather" />
              <CustomString Name="Right" Value="Profile" />
              <CustomInt Name="IsTop" Value="1" />
            </ScreenCondition>
          </Or>
        </And>
        <And>
          <Condition Name="Type" Value="Simple"/>
          <Or>
            <ScreenCondition Width="240" Height="240">
              <BoundRect X="63" Y="7" Width="114" Height="38" />
            </ScreenCondition>
            <ScreenCondition Width="240" Height="320" >
              <BoundRect X="63" Y="7" Width="114" Height="38" />
            </ScreenCondition>
            <And>
              <ScreenCondition Width="320" Height="240"/>
              <Or>
                <And>
                  <Condition Name="ShowAppt" Value="No" />
                  <Or>
                    <Condition Name="ClockType" Value="Analog">
                      <BoundRect X="213" Y="78" Width="102" Height="45" />
                    </Condition>
                    <Condition Name="ClockType" Value="Digital">
                      <BoundRect X="103" Y="15" Width="114" Height="38" />
                    </Condition>
                  </Or>
                </And>
                <And>
                  <Condition Name="ShowAppt" Value="Yes" />
                  <Or>
                    <Condition Name="ClockType" Value="Analog">
                      <BoundRect X="210" Y="65" Width="102" Height="45" />
                    </Condition>
                    <Condition Name="ClockType" Value="Digital">
                      <BoundRect X="213" Y="65" Width="102" Height="45" />
                    </Condition>
                  </Or>
                </And>
              </Or>
            </And>
          </Or>
        </And>
      </Or>
    </Plugin>

    <Plugin Class="Spb.LSP.ModernDClock" Name="ModernDClock" Skin="qp_dclock_modern" DoubleSkin="vp_dclock_modern">
      <And>
        <ScreenCondition Width="240" Height="320" />
        <Condition Name="Type" Value="Detailed">
          <BoundRect X="0" Y="85" Width="0" Height="0" />
          <CustomString Name="Up" Value="Status" />
          <CustomString Name="Down" Value="Calendar" />
          <CustomString Name="Left" Value="ModernDClock" />
          <CustomString Name="Right" Value="ModernDClock" />
        </Condition>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.ModernDClock" Name="ModernDClock" Skin="ql_dclock_modern" DoubleSkin="vl_dclock_modern">
      <And>
        <ScreenCondition Width="320" Height="240" />
        <Condition Name="Type" Value="Detailed">
          <BoundRect X="0" Y="79" Width="0" Height="0" />
          <CustomString Name="Up" Value="Status" />
          <CustomString Name="Down" Value="Calendar" />
          <CustomString Name="Left" Value="ModernDClock" />
          <CustomString Name="Right" Value="ModernDClock" />
        </Condition>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.ModernDClock" Name="ModernDClock" Skin="qs_dclock_modern" DoubleSkin="vs_clock_modern">
      <And>
        <ScreenCondition Width="240" Height="240" />
        <Condition Name="Type" Value="Detailed">
          <BoundRect X="0" Y="79" Width="0" Height="0" />
          <CustomString Name="Up" Value="Status" />
          <CustomString Name="Down" Value="Calendar" />
          <CustomString Name="Left" Value="ModernDClock" />
          <CustomString Name="Right" Value="ModernDClock" />
        </Condition>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.AnalogClock" Skin="qa_clock_now" DoubleSkin="va_clock_now" BoldFont="n">
      <And>
        <Condition Name="ClockType" Value="Analog" />
        <Condition Name="Type" Value="Simple" />
        <Or>
          <ScreenCondition Width="240" Height="240">
            <Center X="82" Y="133" />
          </ScreenCondition>
          <And>
            <ScreenCondition Width="240" Height="320" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <Center X="120" Y="152" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <Center X="84" Y="143" />
              </Condition>
            </Or>
          </And>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <Center X="125" Y="93" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <Center X="132" Y="78" />
              </Condition>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.DigitalClock" Skin="qa_dclock" DoubleSkin="va_dclock" BoldFont="n">
      <And>
        <Condition Name="ClockType" Value="Digital" />
        <Condition Name="Type" Value="Simple" />
        <Or>
          <ScreenCondition Width="240" Height="240">
            <LeftTop X="19" Y="67" />
          </ScreenCondition>
          <And>
            <ScreenCondition Width="240" Height="320" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <LeftTop X="18" Y="96" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <LeftTop X="18" Y="75" />
              </Condition>
            </Or>
          </And>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <LeftTop X="58" Y="71" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <LeftTop X="6" Y="64" />
              </Condition>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Weather" Name="Weather" Skin="qa_weather_small_lock" DoubleSkin="va_weather_small_lock" BoldFont="n" >
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <Or>
          <ScreenCondition Width="240" Height="320" >
            <LeftTop X="9" Y="26" />
            <CustomPoint Name="Temp" X="20" Y="37" />
            <CustomInt Name="TempAlignment" Value="1" />
            <CustomString Name="Selection" Value="selection_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Profile" />
            <CustomString Name="Right" Value="Status" />
          </ScreenCondition>
          <ScreenCondition Width="320" Height="240" >
            <LeftTop X="17" Y="23" />
            <CustomPoint Name="Temp" X="20" Y="37" />
            <CustomInt Name="TempAlignment" Value="1" />
            <CustomString Name="Selection" Value="selection2_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Profile" />
            <CustomString Name="Right" Value="Status" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="240" >
            <LeftTop X="9" Y="23" />
            <CustomPoint Name="Temp" X="20" Y="37" />
            <CustomInt Name="TempAlignment" Value="1" />
            <CustomString Name="Selection" Value="selection2_m.bmp" />
            <CustomString Name="Up" Value="Calendar" />
            <CustomString Name="Down" Value="ModernDClock" />
            <CustomString Name="Left" Value="Profile" />
            <CustomString Name="Right" Value="Status" />
          </ScreenCondition>
        </Or>        
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Weather" Skin="qa_weather_lock" DoubleSkin="va_weather_lock" BoldFont="n" >
      <And>
        <Condition Name="Type" Value="Simple" />
        <Or>
          <And>
            <ScreenCondition Width="240" Height="240" />
            <Or>
              <Condition Name="ClockType" Value="Analog">
                <LeftTop X="160" Y="65" />
                <CustomPoint Name="Temp" X="32" Y="64" />
                <CustomInt Name="TempAlignment" Value="1" />
              </Condition>
              <Condition Name="ClockType" Value="Digital">
                <LeftTop X="9" Y="150" />
                <CustomPoint Name="Temp" X="71" Y="13" />
                <CustomInt Name="TempAlignment" Value="0" />
              </Condition>
            </Or>
          </And>
          <And>
            <ScreenCondition Width="240" Height="320" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <LeftTop X="9" Y="224" />
                <CustomPoint Name="Temp" X="71" Y="13" />
                <CustomInt Name="TempAlignment" Value="0" />
              </Condition>
              <And>
                <Condition Name="ShowAppt" Value="Yes" />
                <Or>
                  <Condition Name="ClockType" Value="Analog">
                    <LeftTop X="164" Y="73" />
                    <CustomPoint Name="Temp" X="32" Y="64" />
                    <CustomInt Name="TempAlignment" Value="1" />
                  </Condition>
                  <Condition Name="ClockType" Value="Digital">
                    <LeftTop X="7" Y="162" />
                    <CustomPoint Name="Temp" X="71" Y="13" />
                    <CustomInt Name="TempAlignment" Value="0" />
                  </Condition>
                </Or>
              </And>
            </Or>
          </And>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <LeftTop X="9" Y="150" />
                <CustomPoint Name="Temp" X="69" Y="22" />
                <CustomInt Name="TempAlignment" Value="0" />
              </Condition>
              <And>
                <Condition Name="ShowAppt" Value="Yes" />
                <Or>
                  <Condition Name="ClockType" Value="Analog">
                    <LeftTop X="0" Y="72" />
                    <CustomPoint Name="Temp" X="32" Y="64" />
                    <CustomInt Name="TempAlignment" Value="1" />
                  </Condition>
                  <Condition Name="ClockType" Value="Digital">
                    <LeftTop X="46" Y="0" />
                    <CustomPoint Name="Temp" X="66" Y="45" />
                    <CustomInt Name="TempAlignment" Value="0" />
                  </Condition>
                </Or>
              </And>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Operator" Skin="qa_operator_small" DoubleSkin="va_operator_small" BoldFont="n">
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <Or>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="216" Y="3" Width="14" Height="16" />
            <CustomPoint Name="Label" X="207" Y="0" />
          </ScreenCondition>
          <ScreenCondition Width="320" Height="240">
            <BoundRect X="286" Y="2" Width="14" Height="16" />
            <CustomPoint Name="Label" X="279" Y="0" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="216" Y="2" Width="14" Height="16" />
            <CustomPoint Name="Label" X="207" Y="0" />
          </ScreenCondition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Operator" Skin="qa_operator" DoubleSkin="va_operator" BoldFont="n">
      <And>
        <Condition Name="Type" Value="Simple" />
        <Or>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="79" Y="3" Width="150" Height="55" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="79" Y="7" Width="150" Height="61" />
          </ScreenCondition>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <BoundRect X="191" Y="6" Width="122" Height="51" />
              </Condition>
              <Condition Name="ShowAppt" Value="Yes">
                <BoundRect X="194" Y="6" Width="122" Height="51" />
              </Condition>
            </Or>
          </And>
        </Or>
      </And>
    </Plugin>

    <!--
    Custom Properties:
      Aligment: default 0 (DT_LEFT)
      FormatFlags: default 2 (DATE_LONGDATE)
    -->
    <Plugin Class="Spb.LSP.Date">
      <And>
        <Condition Name="Type" Value="Simple" />
        <Or>
          <And>
            <ScreenCondition Width="240" Height="240" />
            <Or>
              <Condition Name="ClockType" Value="Analog">
                <BoundRect X="136" Y="169" Width="97" Height="38" />
                <CustomInt Name="Alignment" Value="10" />
              </Condition>
              <Condition Name="ClockType" Value="Digital">
                <BoundRect X="78" Y="180" Width="154" Height="30" />
              </Condition>
            </Or>
          </And>
          <And>
            <ScreenCondition Width="240" Height="320" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <BoundRect X="78" Y="260" Width="154" Height="30" />
              </Condition>
              <And>
                <Condition Name="ShowAppt" Value="Yes" />
                <Or>
                  <Condition Name="ClockType" Value="Analog">
                    <BoundRect X="90" Y="193" Width="142" Height="38" />
                    <CustomInt Name="Alignment" Value="10" />
                  </Condition>
                  <Condition Name="ClockType" Value="Digital">
                    <BoundRect X="78" Y="195" Width="154" Height="30" />
                  </Condition>
                </Or>
              </And>  
            </Or>  
          </And>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Or>
              <Condition Name="ShowAppt" Value="No">
                <BoundRect X="78" Y="188" Width="218" Height="15" />
                <CustomInt Name="SingleLine" Value="1" />
              </Condition>
              <And>
                <Condition Name="ShowAppt" Value="Yes" />
                <Or>
                  <Condition Name="ClockType" Value="Analog">
                    <BoundRect X="185" Y="113" Width="130" Height="38" />
                    <CustomInt Name="Alignment" Value="10" />
                  </Condition>
                  <Condition Name="ClockType" Value="Digital">
                    <BoundRect X="112" Y="7" Width="163" Height="30" />
                    <CustomInt Name="Alignment" Value="0" />
                  </Condition>
                </Or>
              </And>
            </Or>
         </And>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.AdvancedCalendar" Name="Calendar" Skin="qp_calendar" DoubleSkin="vp_calendar">
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <Or>
          <ScreenCondition Width="240" Height="320">
            <BoundRect X="0" Y="167" Width="240" Height="127" />
            <CustomString Name="Up" Value="ModernDClock" />
            <CustomString Name="Down" Value="Status" />
            <CustomString Name="Left" Value="Calendar" />
            <CustomString Name="Right" Value="Calendar" />
          </ScreenCondition>
          <ScreenCondition Width="240" Height="240">
            <BoundRect X="0" Y="145" Width="240" Height="68" />
            <CustomString Name="Up" Value="ModernDClock" />
            <CustomString Name="Down" Value="Status" />
            <CustomString Name="Left" Value="Calendar" />
            <CustomString Name="Right" Value="Calendar" />
          </ScreenCondition>
        </Or>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.AdvancedCalendar" Name="Calendar" Skin="ql_calendar" DoubleSkin="vl_calendar">
      <And>
        <Condition Name="Type" Value="Detailed"/>
        <ScreenCondition Width="320" Height="240">
          <BoundRect X="0" Y="145" Width="320" Height="68" />
          <CustomString Name="Up" Value="ModernDClock" />
          <CustomString Name="Down" Value="Status" />
          <CustomString Name="Left" Value="Calendar" />
          <CustomString Name="Right" Value="Calendar" />
        </ScreenCondition>
      </And>
    </Plugin>

    <Plugin Class="Spb.LSP.Calendar" Name="Calendar" Skin="qa_calendar" DoubleSkin="va_calendar">
      <And>
        <Condition Name="Type" Value="Simple" />
        <Or>
          <And>
            <ScreenCondition Width="240" Height="320" />
            <Condition Name="ShowAppt" Value="Yes">
              <BoundRect X="0" Y="234" Width="240" Height="60" />
            </Condition>
          </And>
          <And>
            <ScreenCondition Width="320" Height="240" />
            <Condition Name="ShowAppt" Value="Yes">
              <BoundRect X="0" Y="155" Width="320" Height="60" />
            </Condition>
          </And>
        </Or>
      </And>
    </Plugin>

  </Plugins>
</LockScreen>
